.button-1VVj8kLG {
  margin-right: 4px;
  padding: 0 12px 0 6px;
}
.separator-2I6DZkMH {
  margin: 6px 0;
}
.item-3cgIlGYO {
  display: flex;
  align-items: center;
  padding: 0 7px;
  height: 100%;
  font-size: 14px;
  color: #242731;
  color: var(--tv-color-toolbar-button-text, #242731);
  position: relative;
  z-index: 0;
}
html.theme-dark .item-3cgIlGYO {
  color: #787b86;
  color: var(--tv-color-toolbar-button-text, #787b86);
}
.item-3cgIlGYO.hover-2y46_KNk,
.item-3cgIlGYO:active {
  color: #000;
  color: var(--tv-color-toolbar-button-text-hover, #000);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .item-3cgIlGYO:hover {
    color: #000;
    color: var(--tv-color-toolbar-button-text-hover, #000);
  }
}
html.theme-dark .item-3cgIlGYO.hover-2y46_KNk,
html.theme-dark .item-3cgIlGYO:active {
  color: #868993;
  color: var(--tv-color-toolbar-button-text-hover, #868993);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .item-3cgIlGYO:hover {
    color: #868993;
    color: var(--tv-color-toolbar-button-text-hover, #868993);
  }
}
.item-3cgIlGYO.hover-2y46_KNk:before,
.item-3cgIlGYO:active:before {
  content: '';
  display: block;
  position: absolute;
  z-index: -1;
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  background-color: #f0f3fa;
  background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
  border-radius: 2px;
  left: 0;
  right: 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .item-3cgIlGYO:hover:before {
    content: '';
    display: block;
    position: absolute;
    z-index: -1;
    top: 2px;
    left: 2px;
    bottom: 2px;
    right: 2px;
    background-color: #f0f3fa;
    background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
    border-radius: 2px;
    left: 0;
    right: 0;
  }
}
html.theme-dark .item-3cgIlGYO.hover-2y46_KNk:before,
html.theme-dark .item-3cgIlGYO:active:before {
  background-color: #2a2e39;
  background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .item-3cgIlGYO:hover:before {
    background-color: #2a2e39;
    background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
  }
}
.item-3cgIlGYO.isActive-2M6dwA7- {
  color: #2196f3;
  color: var(--tv-color-toolbar-button-text-active, #2196f3);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .item-3cgIlGYO.isActive-2M6dwA7-:hover {
    color: #2196f3;
    color: var(--tv-color-toolbar-button-text-active, #2196f3);
  }
}
html.theme-sa .item-3cgIlGYO.isActive-2M6dwA7- {
  color: #ff7200;
  color: var(--tv-color-toolbar-button-text-active, #ff7200);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-sa .item-3cgIlGYO.isActive-2M6dwA7-:hover {
    color: #ff7200;
    color: var(--tv-color-toolbar-button-text-active, #ff7200);
  }
}
html.theme-dark .item-3cgIlGYO.isActive-2M6dwA7- {
  color: #1976d2;
  color: var(--tv-color-toolbar-button-text-active, #1976d2);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .item-3cgIlGYO.isActive-2M6dwA7-:hover {
    color: #1976d2;
    color: var(--tv-color-toolbar-button-text-active, #1976d2);
  }
}
.item-3cgIlGYO.isFirst-2kfAV5tf {
  margin-right: 9px;
}
.item-3cgIlGYO.isLast-voJ1bqZh {
  margin-left: 9px;
}
.slider-1ealLtjI {
  height: 2px;
  bottom: 15%;
  transition-duration: 175ms;
  transition-property: transform, opacity;
}
.slider-1ealLtjI,
html.theme-dark .slider-1ealLtjI {
  background-color: transparent;
}
.slider-1ealLtjI .inner-3lmAEIjy {
  background-color: #2196f3;
  background-color: var(--tv-color-toolbar-button-text-active, #2196f3);
  margin: 0 8px;
  height: 100%;
}
html.theme-sa .slider-1ealLtjI .inner-3lmAEIjy {
  background-color: #ff7200;
  background-color: var(--tv-color-toolbar-button-text-active, #ff7200);
}
html.theme-dark .slider-1ealLtjI .inner-3lmAEIjy {
  background-color: #1976d2;
  background-color: var(--tv-color-toolbar-button-text-active, #1976d2);
}
.sliderRow-Tv1W7hM5 {
  height: 100%;
}
.button-2gir_Bbb {
  display: flex;
  height: 100%;
  align-items: center;
  margin-right: 9px;
  padding: 0 7px;
  color: #242731;
  color: var(--tv-color-toolbar-button-text, #242731);
  position: relative;
  z-index: 0;
}
html.theme-dark .button-2gir_Bbb {
  color: #787b86;
  color: var(--tv-color-toolbar-button-text, #787b86);
}
.button-2gir_Bbb.hover-SrAyrKlT,
.button-2gir_Bbb:active {
  color: #000;
  color: var(--tv-color-toolbar-button-text-hover, #000);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-2gir_Bbb:hover {
    color: #000;
    color: var(--tv-color-toolbar-button-text-hover, #000);
  }
}
html.theme-dark .button-2gir_Bbb.hover-SrAyrKlT,
html.theme-dark .button-2gir_Bbb:active {
  color: #868993;
  color: var(--tv-color-toolbar-button-text-hover, #868993);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-2gir_Bbb:hover {
    color: #868993;
    color: var(--tv-color-toolbar-button-text-hover, #868993);
  }
}
.button-2gir_Bbb.hover-SrAyrKlT:before,
.button-2gir_Bbb:active:before {
  content: '';
  display: block;
  position: absolute;
  z-index: -1;
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  background-color: #f0f3fa;
  background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
  border-radius: 2px;
  left: 0;
  right: 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-2gir_Bbb:hover:before {
    content: '';
    display: block;
    position: absolute;
    z-index: -1;
    top: 2px;
    left: 2px;
    bottom: 2px;
    right: 2px;
    background-color: #f0f3fa;
    background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
    border-radius: 2px;
    left: 0;
    right: 0;
  }
}
html.theme-dark .button-2gir_Bbb.hover-SrAyrKlT:before,
html.theme-dark .button-2gir_Bbb:active:before {
  background-color: #2a2e39;
  background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-2gir_Bbb:hover:before {
    background-color: #2a2e39;
    background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
  }
}
.icon-MwaAItz1 {
  width: 18px;
  height: 18px;
}
.button-88UE6omC {
  display: flex;
  height: 100%;
  align-items: center;
  border: none;
  outline: none;
  padding: 0;
  margin: 0;
  background-color: transparent;
  cursor: default;
  color: #242731;
  color: var(--tv-color-toolbar-button-text, #242731);
  position: relative;
  z-index: 0;
}
html.theme-dark .button-88UE6omC {
  color: #787b86;
  color: var(--tv-color-toolbar-button-text, #787b86);
}
.button-88UE6omC.hover-3_vVP91F,
.button-88UE6omC:active {
  color: #000;
  color: var(--tv-color-toolbar-button-text-hover, #000);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-88UE6omC:hover {
    color: #000;
    color: var(--tv-color-toolbar-button-text-hover, #000);
  }
}
html.theme-dark .button-88UE6omC.hover-3_vVP91F,
html.theme-dark .button-88UE6omC:active {
  color: #868993;
  color: var(--tv-color-toolbar-button-text-hover, #868993);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-88UE6omC:hover {
    color: #868993;
    color: var(--tv-color-toolbar-button-text-hover, #868993);
  }
}
.button-88UE6omC.hover-3_vVP91F:before,
.button-88UE6omC:active:before {
  content: '';
  display: block;
  position: absolute;
  z-index: -1;
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  background-color: #f0f3fa;
  background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
  border-radius: 2px;
  left: 0;
  right: 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-88UE6omC:hover:before {
    content: '';
    display: block;
    position: absolute;
    z-index: -1;
    top: 2px;
    left: 2px;
    bottom: 2px;
    right: 2px;
    background-color: #f0f3fa;
    background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
    border-radius: 2px;
    left: 0;
    right: 0;
  }
}
html.theme-dark .button-88UE6omC.hover-3_vVP91F:before,
html.theme-dark .button-88UE6omC:active:before {
  background-color: #2a2e39;
  background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-88UE6omC:hover:before {
    background-color: #2a2e39;
    background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
  }
}
.button-88UE6omC[disabled] {
  position: relative;
  z-index: 0;
}
.button-88UE6omC[disabled].hover-3_vVP91F:before,
.button-88UE6omC[disabled]:active:before {
  content: '';
  display: block;
  position: absolute;
  z-index: -1;
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  background-color: #f0f3fa;
  background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
  border-radius: 2px;
  background-color: transparent;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-88UE6omC[disabled]:hover:before {
    content: '';
    display: block;
    position: absolute;
    z-index: -1;
    top: 2px;
    left: 2px;
    bottom: 2px;
    right: 2px;
    background-color: #f0f3fa;
    background-color: var(--tv-color-toolbar-button-background-hover, #f0f3fa);
    border-radius: 2px;
    background-color: transparent;
  }
}
html.theme-dark .button-88UE6omC[disabled].hover-3_vVP91F:before,
html.theme-dark .button-88UE6omC[disabled]:active:before {
  background-color: #2a2e39;
  background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-88UE6omC[disabled]:hover:before {
    background-color: #2a2e39;
    background-color: var(--tv-color-toolbar-button-background-hover, #2a2e39);
  }
}
.button-88UE6omC.open.hover-3_vVP91F:before,
.button-88UE6omC.open:active:before,
.button-88UE6omC.open:before {
  content: '';
  display: block;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 0;
  background-color: #f0f3fa;
  background-color: var(--tv-color-toolbar-button-background-expanded, #f0f3fa);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-88UE6omC.open:hover:before {
    content: '';
    display: block;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border-radius: 0;
    background-color: #f0f3fa;
    background-color: var(
      --tv-color-toolbar-button-background-expanded,
      #f0f3fa
    );
  }
}
html.theme-dark .button-88UE6omC.open.hover-3_vVP91F:before,
html.theme-dark .button-88UE6omC.open:active:before,
html.theme-dark .button-88UE6omC.open:before {
  background-color: #2a2e39;
  background-color: var(--tv-color-toolbar-button-background-expanded, #2a2e39);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .button-88UE6omC.open:hover:before {
    background-color: #2a2e39;
    background-color: var(
      --tv-color-toolbar-button-background-expanded,
      #2a2e39
    );
  }
}
.button-88UE6omC .inner-2FptJsfC {
  position: relative;
}
.button-37qwTsBL {
  white-space: nowrap;
}
.separator-3bp1jCsV {
  display: inline-block;
  width: 1px;
  margin: 8px 0;
  background-color: #e0e3eb;
  background-color: var(--tv-color-platform-background, #e0e3eb);
  height: calc(100% - 16px);
}
html.theme-dark .separator-3bp1jCsV {
  background-color: #2a2e39;
  background-color: var(--tv-color-platform-background, #2a2e39);
}
.toolbar-2MJefnwP {
  position: relative;
  height: 100%;
  font-size: 14px;
  white-space: nowrap;
  cursor: default;
}
.dateRangeWrapper-yS_7EK1i {
  display: block;
  position: absolute;
  right: 0;
  height: 100%;
}
.seriesControlWrapper-1c7dZFwu {
  display: block;
  position: absolute;
  left: 0;
  height: 100%;
}
.dateRangeCollapsed-1-pFg0M1,
.dateRangeExpanded-Eh9SAOEe {
  display: inline-flex;
  flex: 0 1;
  height: 100%;
}
.item-2cWFW_ze {
  height: 100%;
  padding: 0 7px;
  flex: 0 0 auto;
}
.item-2cWFW_ze.first-1XNI05qr {
  margin-right: 9px;
}
.item-2cWFW_ze.last-2VBe7EFW {
  margin-left: 4px;
}
.inline-2rwBBIxN {
  display: inline-block;
  height: 100%;
  vertical-align: top;
}
.timezone-34WAZb8x {
  margin-left: 9px;
  padding: 0 7px;
  flex: 0 0 auto;
}
.icon-3VRthUnU {
  height: 100%;
  padding: 0 7px;
  flex: 0 0 auto;
}
.icon-3VRthUnU.first-1XNI05qr {
  margin-right: 9px;
}
.icon-3VRthUnU.last-2VBe7EFW {
  margin-left: 9px;
}
.hidden-3Tq8Bf9V {
  visibility: hidden;
}
.collapsed-2lhil-Rc {
  position: absolute;
  visibility: hidden;
  height: 100%;
  right: 0;
  top: 0;
}
